Сливаю вам MultiProtocol

MultiProtocol.zip (1.6 КБ)

Любая версия нужно выбрать всего лишь VersionProtocol
В файле protocol.yml

1 симпатия

Сразу предупреждаю, это для лобби, если вы поставите для сервера, ждите багов, ошибки и проблемы.

1 симпатия

Я хз как это работает просто нашёл на github MrForter скажи как это работает

MrForter можно ли с 1.1.x хотя бы до 1.2.x сделать

С 1.1.х до 1.2.х можно, но все будет идти с 1.1.х не будет окон, не будут тех обновлений что на 1.2.х да и я даже пробовать не собираюсь.

можешь настроить и дать мне плагин плиз

Я уверен что инструкцию по установке легко найти в интернете, гуглить научись.

И да это мое лишь субъективное мнение, можете проверить это, но уверен что будет именно так.

public function onDataPacketRecieve (DataPacketReceiveEvent $ev) {
    $pk = $ev->getPacket();
    if ($pk instanceof LoginPacket) {
    	if (in_array($pk->protocol, $this->acceptProtocol)) {
    		$pk->protocol = ProtocolInfo::CURRENT_PROTOCOL;
    	}
    }
}

Плагин не обеспечивает не малейшее поддерживание версий, просто позволяет серверу думать что клиент заходит с правильной версии

1 симпатия

Эхх зачем моджанги нам жизнь усложняют, в 1.19 по сравнению с 1.1 изменено чуть ли не все. Вот бы там были одинаковые протоколы

1 симпатия

Бардак будет, я против такого.

Мне нужно сделать так чтобы я мог зайти с 1.1.X - 1.2.X
Есть плагин такой или нету Marusel найди плиз

С помощью этого плагина и сделай, а вообще где то была призма на 1.1 - 1.2

1 симпатия

А как скажи я мульти ядрах и плагинах не чего не понимаю

Мне ядра не нужны они багами

Плагин бесполезен, никакой мультиверсии он не даст

1 симпатия

Не ко мне вопросы а к нему GitHub - Lycol50/MultiProtocol-API4beta: MultiProtocol is a plugin where you can have people join on your server (PMMP API 4) with your latest Minecraft Bedrock. This Plugin will be always updated every new beta build release on pmmp

Плагин кринж, посмотри вот: GitHub - AkmalFairuz/MultiVersion: A PocketMine-MP plugins to allows older Minecraft Bedrock client versions to connect to newer server versions.